#include "backgroundLayer.h"

#include <quokka_gfx.h>
#include <ranges>

using namespace std;
using namespace quokka_gfx;
//--------------------------------------------------------------
/* Constructor */
BackgroundLayer::BackgroundLayer(MainWindow &owner)
  : Layer(owner)
{
}
//--------------------------------------------------------------
/* Render the layer */
void BackgroundLayer::render() const
{
  const auto renderer = GetRenderer();     // Get the renderer instance from the main window
}
//--------------------------------------------------------------
